
QGIS Application - Bug report #20294

QGIS crashes when exporting a layout to pdf (and fails to export to jpg)

2018-10-31 10:41 AM - Glen Mabunda

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28115

Description

QGIS fails to export the maps to jpeg and crushes when trying to export to pdf.

History

#1 - 2018-10-31 10:44 AM - Glen Mabunda

Crash ID: cba598d8b3093e61fac58c54521f5c2b26bbbf67

Stack Trace

QgsLayoutExporter::updatePrinterPageSize :

QgsLayoutExporter::exportToPdf :

QgsActionLocatorFilter::priority :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :
main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.10586

#2 - 2018-10-31 11:38 AM - Giovanni Manghi

- Resolution deleted (wontfix)

- Assignee deleted (Glen Mabunda)

- Status changed from Open to Feedback

- Subject changed from Failing export to QGIS crashes when exporting a layout to pdf (and fails to export to jpg)

Does it happens always regardless of the project/data/layout?

Can you try using a new/clean profile? Thanks.

#3 - 2018-11-29 12:32 PM - Mike Beck

crashes for me as well. and in all projects. maybe an extra bug report helps?

h2. User Feedback

As always QGIS 64bit crashes when i wish to export PDF. exporting to images works

Report Details

Crash ID: 62dc56422a5beac7ff47e8215baf1db6be5afc48

Stack Trace

dma_SetValue :

GetUpgradedPrinterData :

DrvConvertDevMode :

DrvDocumentPropertySheets :

DocumentPropertySheets :

Ordinal361 :

DocumentPropertiesW :

qt_plugin_query_metadata :

qt_plugin_query_metadata :

QPrintDevice::defaultPageSize :

QWin32PrintEngine::QWin32PrintEngine :

qt_plugin_query_metadata :

QPrinterPrivate::initEngines :

QPrinter::QPrinter :

QgsLayoutExporter::exportToPdf :

QgsAllLayersFeaturesLocatorFilter::priority :

QMetaObject::activate :

QAction::activate :
QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#4 - 2018-11-29 01:08 PM - Giovanni Manghi

Mike Beck wrote:

crashes for me as well. and in all projects. maybe an extra bug report helps?

Can you try using a new/clean profile? Thanks.

#5 - 2019-02-24 12:43 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Files

QGIS CRASH.jpg 288 KB 2018-10-31 Glen Mabunda
